<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:p="http://primefaces.org/ui"
                template="/templates/generalCU.xhtml">

    <!--
    @author jamir.avila 
    @cu CASO DE USO CU-NP-FA-104 
    @version 2.0
    -->

    <ui:define name="content">

        <p:messages id="msgsAP" showDetail="true" />
        <h:form id="formularioAP" title="Formulario">

            <p:dialog widgetVar="dlgPreliminar" width="700" height="400"
                      header="Preliminar de la resolución">

                <embed src="gestionarResolucion.preliminar" width="680"
                       height="360"/>
            </p:dialog>

            <h:panelGrid id="superiorAP" columns="2">
                <h:outputLabel value="Departamento: " styleClass="outputLabelStyle" />
                <h:outputText value="#{gestionarResolucion.departamentoNombre}"
                              styleClass="outputTextStyle" />

                <h:outputLabel value="Municipio: " styleClass="outputLabelStyle" />
                <h:outputText value="#{gestionarResolucion.municipioNombre}"
                              styleClass="outputTextStyle" />

                <h:outputLabel value="Tipo de proyecto: "
                               styleClass="outputLabelStyle" />
                <h:outputText value="#{gestionarResolucion.tipoProyectoNombre}"
                              styleClass="outputTextStyle" />

                <h:outputLabel value="Número de convenio: "
                               styleClass="outputLabelStyle" />
                <h:selectOneMenu id="convenioNumeroAP"
                                 value="#{gestionarResolucion.convenioNumero}">
                    <f:selectItems value="#{gestionarResolucion.convenioNumeros}" />
                    <p:ajax listener="#{gestionarResolucion.onCambioConvenio}"
                            update="zonaAP" />
                </h:selectOneMenu>

                <h:outputLabel value="Zona: " styleClass="outputLabelStyle" />
                <h:outputText id="zonaAP" value="#{gestionarResolucion.zonaNombre}"
                              styleClass="outputTextStyle" />

            </h:panelGrid>
            <p:panel header="Elaborar resolución">
                <h:panelGrid columns="2" columnClasses="alinearVertical">
                    <h:panelGrid>
                        <h:panelGrid columns="2">
                            <h:outputLabel value="Tipo de resolución"
                                           styleClass="outputLabelStyle" />
                            <h:outputText id="ActualizacionTipoProcesoV"
                                          value="#{gestionarResolucion.resolucion.tipoResolucionNombre}"
                                          styleClass="outputTextStyle">
                                <f:converter converterId="converterCB"
                                             for="ActualizacionTipoProcesoV" />
                            </h:outputText>

                            <h:outputLabel value="Año de la actualización:"
                                           styleClass="outputLabelStyle" />
                            <h:selectOneMenu id="añoAP"
                                             value="#{gestionarResolucion.resolucion.anio}">
                                <f:selectItems value="#{gestionarResolucion.anios}" />
                                <p:ajax listener="#{gestionarResolucion.onCambioVigencia}"
                                        update="contenidoAP" />
                            </h:selectOneMenu>

                            <h:panelGrid columns="2">
                                <h:outputLabel value="Fecha de resolución: "
                                               styleClass="outputLabelStyle" />
                                <h:outputLabel value="*" styleClass="requiredLabelStyle" />
                            </h:panelGrid>

                            <p:calendar value="#{gestionarResolucion.resolucion.fecha}"
                                        pattern="#{general.formatoFechaHora}" size="10" required="true"
                                        requiredMessage="Debe diligenciar la fecha de resolución">
                                <p:ajax listener="#{gestionarResolucion.onCambioFecha}"
                                        update="contenidoAP" />
                                <p:ajax event="dateSelect" listener="#{gestionarResolucion.onManejadorCambioFecha}" 
                                        update="contenidoAP" /> 
                            </p:calendar>
                        </h:panelGrid>
                        <h:panelGrid columns="2">
                            <p:commandButton value="Ver preliminar A"
                                             actionListener="#{gestionarResolucion.cmdVerPreliminar}"
                                             oncomplete="dlgPreliminar.show()" update=":msgsAP" ajax="false"/>
                            <p:commandButton value="Proyectar" id="proyectarAP" ajax="false"
                                             action="#{gestionarResolucion.cmdProyectar}" update=":msgsAP"/>
                        </h:panelGrid>
                    </h:panelGrid>
                    <h:panelGrid width="80%">
                        <h:outputText id="contenidoAP" value="#{gestionarResolucion.resolucion.contenido}" escape="false"
                                      styleClass="outputTextStyle" style="font-size: 80%"/>
                    </h:panelGrid>
                </h:panelGrid>			
            </p:panel>
            <p:panel>
                <p:commandButton value="Cerrar" icon="ui-icon-circle-close"
                                 action="#{gestionarResolucion.cmdCancelar}" ajax="false" />
            </p:panel>
        </h:form>
    </ui:define>
</ui:composition>